%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           ethos
Version:        0.2.2
Release:        7%{?dist}
Summary:        Plugin framework for GLib

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://git.dronelabs.com/ethos/about/
Source0:        http://ftp.dronelabs.com/sources/ethos/0.2/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel
BuildRequires: gjs-devel
BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: vala-devel
BuildRequires: vala-tools

%description
Ethos is a plugin framework that is written in C using the GLib and GObject 
libraries. The goal is to have a single framework for applications that lower 
the barrier to entry for extensions. To enable as many communities as possible, 
various language bindings are provided to allow extensions in the language of 
choice.

Ethos includes a GUI library as well named libethos-ui. This library provides 
a gtk+ widget for managing plugins within your application. Typically, you can 
simply add this to a "Plugins" tab in your applications preferences dialog.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gobject-introspection-devel

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
Documentation for development with %{name}.

%package python
Summary: Python bindings for %{name}
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: gnome-python2
Requires: pygtk2

%description python
Python bindings for development with %{name}.

%package vala
Summary: Vala bindings for %{name}
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: vala
BuildArch: noarch

%description vala
Vala bindings for development with %{name}.

%prep
%setup -q

%build
%configure --disable-static --enable-introspection --enable-python

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README NEWS
%{_libdir}/libethos*.so.*
%dir %{_libdir}/ethos
%dir %{_libdir}/ethos/plugin-loaders
%{_libdir}/ethos/plugin-loaders/libcloader.so.*
%{_libdir}/ethos/plugin-loaders/libjsloader.so.*
%{_libdir}/girepository-1.0/Ethos-1.0.typelib
%{_datadir}/ethos

%files devel
%defattr(-,root,root,-)
%{_includedir}/ethos-1.0
%{_libdir}/ethos/plugin-loaders/lib*.so
%{_libdir}/pkgconfig/ethos*1.0.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/Ethos-1.0.gir

%files docs
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/ethos

%files python
%defattr(-,root,root,-)
%{_libdir}/ethos/plugin-loaders/libpythonloader.so.*
%{_datadir}/pygtk/2.0/defs/ethos*
%{python_sitearch}/gtk-2.0/ethos
%{python_sitearch}/gtk-2.0/_ethos*

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/ethos-1.0.vapi
%{_datadir}/vala/vapi/ethos-ui-1.0.vapi

%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 12 2010 Colin Walters <walters@verbum.org> - 0.2.2-6
- Rebuild against new gobject-introspection

* Sat Jan  9 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.2-4
- Review updates

* Mon Dec 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-3
- Update bindings group

* Thu Dec 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-2
- Fix license

* Thu Nov 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-1
- Update to 0.2.2 final release

* Fri Oct 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-0.1
- Initial packaging of 0.2.2 snapshot
